#include <iostream>

using namespace std;

unsigned long long SOD_InRange(unsigned long long Start, unsigned long long End, unsigned long long Sod)
{
    if (Sod == 9)
    {
        Sod = 0;
    }

    while (Start % 9 != Sod)
    {
        Start++;
    }
    while (End % 9 != Sod)
    {
        if (End == 0)
        {
            return 0;
        }
        End--;
    }

    if (Start > End)
    {
        return 0;
    }

    return (End - Start) / 9 + 1;
}

unsigned long long SumInRange(unsigned long long Start, unsigned long long End)
{
    unsigned long long Sum = 0;
    for (long i = 0; i < 9; i++)
    {
        Sum += (i + 1) * SOD_InRange(Start, End, i + 1);
    }
    return Sum;
}

int main()
{
    long Q;

    unsigned long long S;
    unsigned long long F;

    cin >> Q;

    for (long i = 0; i < Q; i++)
    {
        cin >> S;
        cin >> F;
        cout << SumInRange(S, F) << endl;
    }
}
