#include <iostream>
#include <cmath>
#include <math.h>
#include <algorithm>
#include <vector>
#include <stdio.h>

using namespace std;

string fill0(string n, int cnt)
{
    for(int i = 0;i < cnt;i++)
        n = '0' + n;
    return n;
}
string remove0(string n)
{
    int i = 0, len = n.size();
    while(i < len && n[i] == '0')
        i++;
    if(i == len)
        return "0";
    return n.substr(i, len - i);
}
string mult_digit(string a, int c)
{
    int pren = 0, len = a.size();
    string res = "";
    for(int i = len - 1;i >= 0;i--)
    {
        int prod = (a[i] - '0') * c + pren;
        pren = prod / 10;
        prod %= 10;
        res = (char)(prod + '0') + res;
    }
    if(pren)
        res = (char)(pren + '0') + res;
    return res;
}
string diff(string a, string b)
{
    int l1 = a.size(), l2 = b.size();
    b = fill0(b, l1 - l2);
    int len = a.size(), mah = 0;
    string res = "";
    for(int i = len - 1;i >= 0;i--)
    {
        int dif = (a[i] - '0') - (b[i] - '0') - mah;
        if(dif < 0)
        {
            dif += 10;
            mah = 1;
        }
        else
            mah = 0;
        res = (char)(dif + '0') + res;
    }
    return remove0(res);
}
string sum(string a, string b)
{
    int l1 = a.size();
    int l2 = b.size();
    b = fill0(b, l1 - l2);
    int len = a.size(), pren = 0;
    string res = "";
    for(int i = len - 1;i >= 0;i--)
    {
        int s = (a[i] - '0') + (b[i] - '0') + pren;
        pren = s / 10;
        s %= 10;
        res = (char)(s + '0') + res;
    }
    if(pren)
        res = (char)(pren + '0') + res;
    return res;
}
int main()
{
    int n;
    cin >> n;
    string m;
    cin >> m;
    string a = "1";
    for(int i = 0;i < n;i++)
        a = mult_digit(a, 2);
    if(m[0] == '-')
    {
        string k = "";
        int len = m.size();
        for(int i = 1;i < len;i++)
            k = k + m[i];
        m = k;
        cout << sum(a, m) << endl;
        return 0;
    }
    cout << diff(a, m) << endl;
    return 0;
}

